首页 > php > faq > 6.php安装时报错configure error Cannot find OpenSSL's libraries

6.php安装时报错configure error Cannot find OpenSSL's libraries

ubuntu 16.04 采用源码安装php的mongodb扩展,执行./configure命令时报错configure: error: Cannot find OpenSSL's libraries。

1 解决办法

通过find命令查找libssl.so

find / -name libssl.so

显示如下:

/usr/lib/x86_64-linux-gnu/libssl.so

在linux系统里面有一些组件中的路径写死,只能读取到/usr/lib/目录中的so文件。

设置一下文件链接:

ln -s /usr/lib/x86_64-linux-gnu/libssl.so /usr/lib

重新运行./configure顺利编译通过。

转载请保留原文链接.